base-compat-0.9.3: A compatibility layer for base

Safe Haskell | None
Language | Haskell98

Control.Monad.ST.Unsafe.Compat

Contents

- Unsafe operations

Synopsis

- unsafeInterleaveST :: ST s a -> ST s a
- unsafeIOToST :: IO a -> ST s a
- unsafeSTToIO :: ST s a -> IO a

# Unsafe operations

unsafeInterleaveST :: ST s a -> ST s a #

unsafeIOToST :: IO a -> ST s a #

unsafeSTToIO :: ST s a -> IO a #